package com.sd.business.controller.bom;

import com.ruoyi.common.core.domain.BaseIdPo;
import com.sd.business.entity.bom.dto.BomSpecPriceQueryDto;
import com.sd.business.entity.bom.po.BomSpecPriceConfig;
import com.sd.business.entity.bom.vo.BomSpecPriceDetailsVo;
import org.springframework.web.bind.annotation.*;
import com.sd.business.entity.bom.vo.BomSpecPriceConfigVo;
import com.sd.business.entity.bom.dto.BomSpecPriceConfigSelectDto;
import com.sd.business.entity.bom.dto.BomSpecPriceConfigDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.service.bom.BomSpecPriceConfigService;
import org.springframework.beans.factory.annotation.Autowired;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * bom规格价格配置 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-12-25
 */
@RestController
@RequestMapping("/bomSpecPriceConfig")
public class BomSpecPriceConfigController {

    @Autowired
    private BomSpecPriceConfigService bomSpecPriceConfigService;

    /**
     * bom规格价格配置列表
     */
    @PostMapping("/list")
    public List<BomSpecPriceConfigVo> list(@RequestBody BomSpecPriceConfigSelectDto dto) {
        return bomSpecPriceConfigService.getList(dto);
    }

    /**
     * 获取所有bom规格价格配置数据
     */
    @PostMapping("/getAllConfigMap")
    public Map<String, List<BomSpecPriceConfig>> getAllConfigMap() {
        return bomSpecPriceConfigService.mapKGroup(BomSpecPriceConfig::getCode, q -> q.orderByDesc(BaseIdPo::getId));
    }

    /**
     * bom规格价格配置新增
     */
    @PostMapping("/add")
    public void add(@RequestBody BomSpecPriceConfigDto bomSpecPriceConfigDto) {
        bomSpecPriceConfigService.add(bomSpecPriceConfigDto);
    }

    /**
     * bom规格价格配置编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody BomSpecPriceConfigDto bomSpecPriceConfigDto) {
        bomSpecPriceConfigService.edit(bomSpecPriceConfigDto);
    }

    /**
     * bom规格价格配置删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        bomSpecPriceConfigService.delete(dto.getId());
    }

    /**
     * 获取裸垫价格
     */
    @PostMapping("/getBomSpecPrice")
    public BomSpecPriceDetailsVo getBomSpecPrice(@RequestBody BomSpecPriceQueryDto dto) {
        return bomSpecPriceConfigService.getBomSpecPrice(dto);
    }

}
