package com.sd.business.controller.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.inventory.dto.InventoryFinishedTemporaryDetailAddDto;
import com.sd.business.entity.inventory.dto.InventoryFinishedTemporaryDetailSelectDto;
import com.sd.business.entity.inventory.vo.InventoryFinishedTemporaryDetailVo;
import com.sd.business.service.inventory.InventoryFinishedTemporaryDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 成品暂存仓库操作记录 前端控制器
 * </p>
 *
 * @author
 * @since 2023-11-15
 */
@RestController
@RequestMapping("/inventoryFinishedTemporaryDetail")
public class InventoryFinishedTemporaryDetailController {

    @Autowired
    private InventoryFinishedTemporaryDetailService inventoryFinishedTemporaryDetailService;

    /**
     * 成品暂存仓库操作记录分页
     */
    @PostMapping("/page")
    public Page<InventoryFinishedTemporaryDetailVo> page(@RequestBody InventoryFinishedTemporaryDetailSelectDto dto) {
        return inventoryFinishedTemporaryDetailService.getPage(dto);
    }

    /**
     * 成品暂存仓库操作记录新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody InventoryFinishedTemporaryDetailAddDto addDto) {
        inventoryFinishedTemporaryDetailService.add(addDto);
    }
}
