package com.sd.business.entity.bom.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * bom规格价格计算入参实体
 *
 * @author
 * @since 2024-01-08
 */
@Getter
@Setter
public class BomSpecPriceComputeDto {

    /**
     * bom分类id
     */
    private Long bomClassifyId;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;

    /**
     * 级别 字典:bom_level
     */
    private String level;

    /**
     * 售价体系 字典:bom_sellingPriceSystem
     */
    private String sellingPriceSystem;

    /**
     * 压纹工艺 字典:bom_embossingProcess
     */
    private String embossingProcess;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

}
