package com.sd.business.entity.inventory.dto;

import com.sd.business.entity.inventory.po.InventoryFinishedOrder;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 成品仓入库新增编辑入参实体
 *
 * @author
 * @since 2024-03-13
 */
@Getter
@Setter
public class InventoryFinishedOrderInStorageDto {

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 成品列表
     */
    @Valid
    @NotEmpty(message = "物料信息不能为空")
    private List<InventoryFinishedOrder> skuList;
}
