package com.sd.business.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.order.bo.OrderExchangeAccountBo;
import com.sd.business.entity.order.dto.OrderExchangeDto;
import com.sd.business.entity.order.dto.OrderExchangeSelectDto;
import com.sd.business.entity.order.po.OrderExchange;
import com.sd.business.entity.order.vo.OrderExchangeVo;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * 订单退换货 服务类
 * </p>
 *
 * @author
 * @since 2023-09-14
 */
public interface OrderExchangeService extends BaseService<OrderExchange> {

    /**
     * 订单退换货分页
     */
    Page<OrderExchangeVo> getPage(OrderExchangeSelectDto dto);

    /**
     * 订单退换货明细
     */
    OrderExchangeVo detail(Long id);

    /**
     * 订单退换货新增
     */
    void add(OrderExchangeDto orderExchangeDto);

    /**
     * 订单退换货删除
     */
    void delete(Long id);

    /**
     * 订单退换货质检
     * @param orderExchangeDto
     */
    void orderExchangeCheck(OrderExchangeDto orderExchangeDto);

    /**
     * 订单退换货对账统计
     * @param statementOfAccountIdList
     */
    Map<Long, OrderExchangeAccountBo> orderExchangeAccountStatistics(List<Long> statementOfAccountIdList);
}
